@import "src/styles";

:host{
    display: block;
}

button{
    cursor: pointer;
    background-color: transparent;
    color: $color-grey-thirty;
    border: none;
    padding: 0;
    font-size: 16px;
    border-radius: 10px;
    display: flex;
    align-items: center;

    &:focus-visible{
        outline: 2px solid darken($color-teal,10);
        outline-offset: 2px;
    }
    &:hover{
        color: $color-teal;

        i{
            color: $color-teal;
        }
    }
    &.warning{
        color: $color-error;
        
        &:focus-visible{
            outline: 2px solid darken($color-error,10);
            outline-offset: 2px;
        }
        &:hover{
            color: $color-error;

            i{
                color: $color-error;
            }
        }
    }

    i{
        font-size: 20px;
        margin-right: 8px;
        font-weight: bolder;
        color: $color-grey-thirty;
    }
}
